#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <fcntl.h>
#include <errno.h>
#include <math.h>
#include <ctype.h>
#include <wchar.h>
#include <uf.h>
#include <uf_cfi.h>
#include <uf_ui.h>
#include <uf_object_types.h>
#include <uf_disp.h>
#include <uf_modl.h>
#include <uf_curve.h>
#include <uf_defs.h>
#include <uf_exit.h>
#include <uf_csys.h>


void ufusr(char *param, int *retcod, int param_len)
{
   /* declaration variables */
   
   char *message = "Input parameters for calculate feedrate";
   char menu_list[3][16]={"Profile depth", "Nose radius", "Feed in mm/rev"};
   char c_val[3][31]={"1","1","1"};
   int part_no[3] = {0,0,0};
   int type_item[3] = {200, 200, 200};
   double values[3] = {5.0, 1.2, 1.0};
   int irc = 0;

   UF_initialize();
   while(irc !=2)
   {
      values[2] = sqrt((values[0]*8*values[1])/1000);
      irc = uc1613(message, menu_list, 3, part_no, values, c_val, type_item);
   }
   UF_terminate();
}

int ufusr_ask_unload(void)
{
  return (UF_UNLOAD_IMMEDIATELY);
}

