#include<stdio.h>
#include<stdlib.h>
#include<malloc.h>
#include<uf.h>
#include<uf_ui.h>
#include<uf_modl.h>
#include<uf_object_types.h>
#include<uf_disp.h>
#include<uf_defs.h>
#include<uf_obj.h>
#include<uf_disp.h>

void ufusr(char *param, int *retcod, int param_len)
{
	char *message = "Select Objects";
	char *message1 = "Input values";
	char menu_list[2][16]={"Disgrace","Rough"};
	char error[133], h_value[128];
	char inp_values[2][31]={"0.5", "0.1"};
	int int_i[2]={1,1}, irc = 0;
	int type_item[2]={300, 300};	
	int response, count;
	int face_count=0, i, index, add_1;
	unsigned int *face_new, unhighlight=0, add_2; 
	double offset_x, offset_x1, offset_x2;
   double initial_d[2]={0.0, 0.0};
	UF_UI_selection_options_t opts;
	UF_UI_mask_t mask;
	uf_list_p_t list_faces, list_f;
	tag_t face_id=0, *objects, face_i=0, offset_id=0;

	UF_initialize();

	opts.other_options = 0;
	opts.reserved = NULL;
	opts.num_mask_triples = 1;
	opts.mask_triples = &mask;
	opts.mask_triples->object_type = UF_solid_type;  
	opts.mask_triples->object_subtype = 0;
	opts.mask_triples->solid_type = UF_UI_SEL_FEATURE_BODY;
	opts.scope = UF_UI_SEL_SCOPE_WORK_PART_AND_OCC;
	irc = UF_UI_select_by_class(message,&opts,&response,&count,&objects );
	if(!irc)
	{
  		if (objects != NULL)
  		{
  			for (i=0; i < count; i++)
    		{
      	   UF_DISP_set_highlight(objects[i], unhighlight); 
    		}
  		}
	}
	else 
	{
  		UF_get_fail_message(irc,error);
  		printf("ERROR: %s\n",error);
	}
	irc = UF_MODL_ask_body_faces(*objects, &list_faces);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = UF_MODL_ask_list_count(list_faces, &face_count);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = UF_MODL_delete_list(&list_faces);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = uc1613(message1, menu_list, 2, int_i, initial_d, inp_values, type_item);
	offset_x1 = atof(inp_values[0]);
	offset_x2 = atof(inp_values[1]);
	offset_x = offset_x1 + offset_x2;
	sprintf(h_value, "%lf", offset_x);
	irc = UF_MODL_create_hollow(h_value, list_faces, &offset_id);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = UF_OBJ_set_def_cre_color(5);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = UF_MODL_ask_feat_faces(offset_id, &list_f);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	irc = UF_MODL_ask_list_count(list_f, &face_count);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	face_new = (unsigned int*) calloc(face_count, sizeof(unsigned int)); 
	if(face_new == NULL)
	{
		  uc1601("Cannot alocate memory space, too many faces", 1);
	}
	for(index = 0; index < face_count; index++) 
	{
		UF_MODL_ask_list_item(list_f, index, &face_id);
		irc = UF_MODL_extract_face(face_id, 0, &face_i);
		if(irc)
		{
			UF_get_fail_message(irc,error);
			uc1601(error, 1);
		}
		face_new[index] = face_i;
	}
	irc = UF_OBJ_set_blank_status(*objects, UF_OBJ_BLANKED);
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}
	add_1 = 2;
	FTN(uf6506)(face_new, &face_count, &add_1, &add_2);
	if(add_2)
	{
		uc1601("Electrod created succesfull", 1);
	}
	else
	{
		uc1601("Sew sheet created", 1);
	}	
	free(face_new);
	irc = UF_MODL_delete_list(&list_f); 
	if(irc)
	{
		UF_get_fail_message(irc,error);
		uc1601(error, 1);
	}	
	UF_free(objects); 
	UF_terminate();
}
int ufusr_ask_unload(void)
{
  return (UF_UNLOAD_IMMEDIATELY);
}

