/*  Include files */
#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<malloc.h>
#include<fcntl.h>
#include<errno.h>
#include<math.h>
#include<ctype.h>
#include<wchar.h>

#include<uf.h>
#include<uf_ui.h>
#include<uf_defs.h>
#include<uf_exit.h>
#include<uf_cfi.h>
#include<uf_part.h>
#include<uf_object_types.h>
#include<uf_disp.h>
#include<uf_modl.h>
#include<uf_curve.h>
#include<uf_defs.h>
#include<uf_exit.h>
#include<uf_csys.h>
#include<uf_styler.h>
#include<uf_mb.h> 

#include<uf_cam.h>
#include<uf_udop.h>
#include<uf_dpud.h>
#include<uf_drpos.h>
#include<uf_oper.h>
#include<uf_path.h>
#include "mill.h"

static void get_error(int irc);

extern int num = 0;

extern DllExport void dpud(char *param, int *returnCode, int rlen)
{
   UF_CAM_exit_id_t  exit_id;
   UF_DPUD_id_t dpud_id;
   UF_DPUD_purpose_t purpose;
   UF_DPUD_taxis_option_t taxis_option = UF_DPUD_TAXIS_CONSTANT;
   UF_DPUD_proj_option_t proj_option = UF_DPUD_PROJ_CONSTANT;
   UF_DRPOS_id_t drpos;
   UF_DRPOS_type_t type = UF_DRPOS_TYPE_CUT;
   int irc;
   double ratio = 0.5;
   double start_pos[3] = {0.0, 0.0, 10.0};
   double pos[3] = {0.0, 100.0, 10.0};
   double dir[3] = {0.0, 1.0, 0.0};
   double pos1[3] = {100.0, 100.0, 10.0};
   double dir1[3] = {1.0, 0.0, 0.0};
   double pos2[3] = {100.0, 0.0, 10.0};
   double dir2[3] = {0.0, -1.0, 0.0};
   double pos3[3] = {0.0, 0.0, 10.0};
   double dir3[3] = {-1.0, 0.0, 0.0};
//   double tool_axis[3];
   exit_id = (UF_CAM_exit_id_t)param;
   irc = UF_initialize();
   if(irc) get_error(irc);
   UF_DPUD_ask_dpud(exit_id, &dpud_id);
   UF_DPUD_ask_purpose(dpud_id, &purpose);

UF_DPUD_ask_drpos0(dpud_id, &drpos);
//   printf("DATA = %d\n", sizeof(DRIVE_t));
//   UF_DPUD_ask_taxis_option(dpud_id, &taxis_option);
//   UF_DPUD_ask_proj_option(dpud_id, &proj_option);

//   UF_DRPOS_ask_tool_axis(drpos, tool_axis);
//printf("I=%.3lf J=%.3lf K=%.3lf\n", 
//       tool_axis[0], tool_axis[1], tool_axis[2]);

//UF_DRPOS_set_user_data(drpos, user_data);

//UF_DRPOS_ask_user_data(drpos, user_data);

// UF_DRPOS_set_position(drpos, start_pos);    
   if(purpose == UF_DPUD_USER_PARAMS) printf("\nUSER_PARMS\n");
   else if(purpose == UF_DPUD_TAXIS_PARAMS) printf("TAXIS\n");
   else if(purpose == UF_DPUD_PROJ_PARAMS) printf("PROJ\n");
   else if(purpose == UF_DPUD_INIT_PROCESSOR) printf("INIT\n");
   else if(purpose == UF_DPUD_GET_USER_DATA_SIZE)
   {
      printf("DATA\n");
      UF_DPUD_set_user_data_size(dpud_id, sizeof(double)*3*9);
   }
   else if(purpose == UF_DPUD_GET_NEXT) 
   {
//      printf("NEXT = %d\n", num);

      while(num < 5)
      {
         printf("NEXT = %d\n", num);
         if(num == 0)
         {   
            UF_DRPOS_set_position(drpos, start_pos);
            UF_DRPOS_create_first_cut(drpos, pos, dir);
         }
         else if(num == 1) UF_DRPOS_create_cut(drpos, pos1, dir1);
         else if(num == 2) UF_DRPOS_create_cut(drpos, pos2, dir2);
         else if(num == 3) UF_DRPOS_create_cut(drpos, pos3, dir3);
         else if(num == 4) UF_DRPOS_create_final_lift(drpos);
         num++;
      }
      UF_DPUD_ask_drpos0(dpud_id, &drpos);
   }
   else if(purpose == UF_DPUD_GET_INTERMEDIATE) 
   {
      printf("INTERMEDIATE\n");
      UF_DPUD_ask_ratio(dpud_id, &ratio);
      UF_DPUD_ask_drpos0(dpud_id, &drpos);
      UF_DPUD_ask_drpos1(dpud_id, &drpos);
      UF_DPUD_ask_drpos2(dpud_id, &drpos);
      irc =  UF_DRPOS_create_final_lift(drpos);
      if(irc) get_error(irc);
   }
   else if(purpose == UF_DPUD_REWIND) printf("REWIND\n");
   else if(purpose == UF_DPUD_STOP_PROCESSOR) printf("STOP\n");
   
   UF_terminate();
}


extern int ufusr_ask_unload(void){return(UF_UNLOAD_IMMEDIATELY);}


