#ifndef USR_PARMS_H_INCLUDED
#define USR_PARMS_H_INCLUDED
 
#include <uf.h> 
#include <uf_defs.h>
#include <uf_styler.h> 


#ifdef __cplusplus
extern "C" {
#endif

#define USER_PARAM_SEP_0               ("SEP_0")
#define USER_PARAM_TOOL_POS            ("TOOL_POS")
#define USER_PARAM_SEP_2               ("SEP_2")
#define USER_PARAM_CUT_DIR             ("CUT_DIR")
#define USER_PARAM_VECTOR              ("VECTOR")
#define USER_PARAM_CUT_ANGLE           ("CUT_ANGLE")
#define USER_PARAM_SEP_4               ("SEP_4")
#define USER_PARAM_CUT_TYPE            ("CUT_TYPE")
#define USER_PARAM_SEP_7               ("SEP_7")
#define USER_PARAM_CUT_STEP            ("CUT_STEP")
#define USER_PARAM_STEP_VALUE          ("STEP_VALUE")
#define USER_PARAM_SEP_10              ("SEP_10")
#define USER_PARAM_STEPOVER            ("STEPOVER")
#define USER_PARAM_STEPOVER_VALUE      ("STEPOVER_VALUE")
#define USER_PARAM_DIALOG_OBJECT_COUNT ( 14 )
 
int USER_PARAM_ok(int dialog_id, void *client_data,
                  UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_apply(int dialog_id, void *client_data,
                     UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_tool_pos(int dialog_id, void *client_data,
                        UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_cut_dir(int dialog_id, void *client_data,
                       UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_vector(int dialog_id, void *client_data,
                      UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_cut_angle(int dialog_id, void *client_data,
                         UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_cut_type(int dialog_id, void *client_data,
                        UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_cut_step(int dialog_id, void *client_data,
                        UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_step_value(int dialog_id, void *client_data,
                          UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_stepover(int dialog_id, void *client_data,
                        UF_STYLER_item_value_type_p_t callback_data);

int USER_PARAM_stepover_value(int dialog_id, void *client_data,
                              UF_STYLER_item_value_type_p_t callback_data);

#ifdef __cplusplus
}
#endif
#endif 


